Subject: RE: bug#25978: 25.1; Message from `text-scale-adjust' is shown in other frames too

From: Drew Adams <[email-masked]>
Date: Sun, 5 Mar 2017 08:56:41 -0800 (PST)

> > Here I see it only in the frame where I invoked "C-x -".
> 
> After you see it there, click the title bar of the other frame,
> to select it.  The message is moved to that (selected) frame's
> echo area.  But using +, 0, or - in that frame does not have
> the effect of the message.  That frame shows a different buffer,
> so +, 0, or - there is governed by the keymap of that buffer's
> frame.

Not sure what should happen instead (i.e., the proper fix).

The simplest fix, and probably the least confusing for users,
would be to cancel the command as soon as another frame is
selected.

Alternatively, we might try to make it so that if/when you
select the original frame again the command resumes where
it left off, with the same message etc.

I think the latter, besides being more complicated to
implement, might confuse a user who did a bunch of other
stuff before coming back to the original frame (selecting
it again).  IOW, it would probably be better for the
command not to be modal in that buffer (resuming when its
frame is reselected), but just to be canceled as soon as
you select another frame.